import request from '@/utils/request'
// 获取查询年列表
export function getYearList() {
  return request({
    url: '/system/urPatentValid/getYearList',
    method: 'get'
  })
}
// 查询专利公开-全国排名列表
export function listRzgNationalRankingInfo(query) {
  return request({
    url: '/reportpub/rzgNationalRankingInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利公开-全国排名详细
export function getRzgNationalRankingInfo(id) {
  return request({
    url: '/reportpub/rzgNationalRankingInfo/' + id,
    method: 'get'
  })
}

// 新增专利公开-全国排名
export function addRzgNationalRankingInfo(data) {
  return request({
    url: '/reportpub/rzgNationalRankingInfo',
    method: 'post',
    data: data
  })
}

// 修改专利公开-全国排名
export function updateRzgNationalRankingInfo(data) {
  return request({
    url: '/reportpub/rzgNationalRankingInfo',
    method: 'put',
    data: data
  })
}

// 删除专利公开-全国排名
export function delRzgNationalRankingInfo(id) {
  return request({
    url: '/reportpub/rzgNationalRankingInfo/' + id,
    method: 'delete'
  })
}
